---
title: "Show or hide one portfolio link on the company page"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PATCH /v2/entities/{id}/portfolio-links`

## Path parameters

- `id` (`entity-portfolio-update-entity-portfolio-link.path.id`; string, required)
  - format `uuid`

## Request body

_Required._

- `graphId` (`entity-portfolio-update-entity-portfolio-link.graphId`; string, required)
  - minLength 1; maxLength 500
- `visible` (`entity-portfolio-update-entity-portfolio-link.visible`; boolean, required)

## Example request

```json
{
  "graphId": "string",
  "visible": true
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sureshake.com/v2/entities/<id>/portfolio-links' \
  --header 'Content-Type: application/json' \
  --data '
{
  "graphId": "string",
  "visible": true
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/portfolio-links';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({graphId: 'string', visible: true})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/portfolio-links"

payload = {
    "graphId": "string",
    "visible": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "graphId": "string",
    "companyEntityId": "eae59977-bbb1-45ea-92c6-19d8deaf265f",
    "name": "string",
    "slug": "string",
    "website": "http://example.com",
    "sourceUrl": "http://example.com",
    "state": "shown",
    "decidedBy": "company"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-portfolio-update-entity-portfolio-link.response.200.data`; object, required)
  - `graphId` (`entity-portfolio-update-entity-portfolio-link.response.200.data.graphId`; string, required)
    - minLength 1
  - `companyEntityId` (`entity-portfolio-update-entity-portfolio-link.response.200.data.companyEntityId`; string, required, nullable)
    - format `uuid`
  - `name` (`entity-portfolio-update-entity-portfolio-link.response.200.data.name`; string, required)
  - `slug` (`entity-portfolio-update-entity-portfolio-link.response.200.data.slug`; string, required, nullable)
  - `website` (`entity-portfolio-update-entity-portfolio-link.response.200.data.website`; string, required, nullable)
    - format `uri`
  - `sourceUrl` (`entity-portfolio-update-entity-portfolio-link.response.200.data.sourceUrl`; string, required, nullable)
    - format `uri`
  - `state` (`entity-portfolio-update-entity-portfolio-link.response.200.data.state`; string, required)
    - one of `"shown"`, `"hidden"`, `"pending"`
  - `decidedBy` (`entity-portfolio-update-entity-portfolio-link.response.200.data.decidedBy`; string, required, nullable)
    - one of `"company"`, `"sureshake"`
- `meta` (`entity-portfolio-update-entity-portfolio-link.response.200.meta`; object, optional)
  - `timestamp` (`entity-portfolio-update-entity-portfolio-link.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.400.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.401.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.403.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.404.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.409.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.422.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.429.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.500.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-portfolio-update-entity-portfolio-link.response.503.error`; object, required)
  - `code` (`entity-portfolio-update-entity-portfolio-link.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-portfolio-update-entity-portfolio-link.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-portfolio-update-entity-portfolio-link.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-portfolio-update-entity-portfolio-link.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-portfolio-update-entity-portfolio-link/index.md
